diff --git a/src/javaperf/com/cloudera/flume/PerfReportSinks.java b/src/javaperf/com/cloudera/flume/PerfReportSinks.java
index 20fc6d5..0ac4633 100644
--- a/src/javaperf/com/cloudera/flume/PerfReportSinks.java
+++ b/src/javaperf/com/cloudera/flume/PerfReportSinks.java
@@ -17,9 +17,7 @@
  */
 package com.cloudera.flume;
 
-import java.io.File;
 import java.io.IOException;
-import java.util.Collection;
 
 import org.junit.Test;
 
@@ -27,29 +25,20 @@ import com.cloudera.flume.core.EventSink;
 import com.cloudera.flume.core.EventUtil;
 import com.cloudera.flume.handlers.debug.MemorySinkSource;
 import com.cloudera.flume.handlers.debug.NullSink;
-import com.cloudera.flume.handlers.debug.TextFileSource;
-import com.cloudera.flume.reporter.MultiReporter;
 import com.cloudera.flume.reporter.aggregator.CounterSink;
-import com.cloudera.flume.reporter.builder.SimpleRegexReporterBuilder;
-import com.cloudera.flume.reporter.histogram.RegexGroupHistogramSink;
 import com.cloudera.util.Benchmark;
 
 /**
  * This set of performance tests isolate the system from I/O so so we can
  * measure the overhead of the actual reporting machinery.
  */
-public class PerfReportSinks implements ExamplePerfData {
+public class PerfReportSinks {
 
   @Test
   public void testNullSink() throws IOException, InterruptedException {
     Benchmark b = new Benchmark("nullsink");
     b.mark("begin");
-    TextFileSource txt = new TextFileSource(HADOOP_DATA[0]);
-    txt.open();
-    MemorySinkSource mem = new MemorySinkSource();
-    mem.open();
-    EventUtil.dumpAll(txt, mem);
-
+    MemorySinkSource mem = FlumeBenchmarkHarness.synthInMem();
     b.mark("disk_loaded");
 
     EventSink nullsnk = new NullSink();
@@ -63,12 +52,7 @@ public class PerfReportSinks implements ExamplePerfData {
   public void testCountSink() throws IOException, InterruptedException {
     Benchmark b = new Benchmark("nullsink");
     b.mark("begin");
-    TextFileSource txt = new TextFileSource(HADOOP_DATA[0]);
-    txt.open();
-    MemorySinkSource mem = new MemorySinkSource();
-    mem.open();
-    EventUtil.dumpAll(txt, mem);
-
+    MemorySinkSource mem = FlumeBenchmarkHarness.synthInMem();
     b.mark("disk_loaded");
 
     CounterSink snk = new CounterSink("counter");
@@ -78,56 +62,4 @@ public class PerfReportSinks implements ExamplePerfData {
     b.done();
   }
 
-  @Test
-  public void testHadoopRegexes() throws IOException, InterruptedException {
-    Benchmark b = new Benchmark("hadoop_regexes");
-    b.mark("begin");
-    TextFileSource txt = new TextFileSource(HADOOP_DATA[0]);
-    txt.open();
-    MemorySinkSource mem = new MemorySinkSource();
-    mem.open();
-    EventUtil.dumpAll(txt, mem);
-
-    b.mark("disk_loaded");
-
-    SimpleRegexReporterBuilder bld = new SimpleRegexReporterBuilder(
-        HADOOP_REGEXES);
-
-    Collection<RegexGroupHistogramSink> sinks = bld.load();
-    MultiReporter snk = new MultiReporter("hadoop_regex_sinks", sinks);
-    snk.open();
-    b.mark("filters_loaded", new File(HADOOP_REGEXES).getName(), sinks.size());
-
-    EventUtil.dumpAll(mem, snk);
-    b.mark(snk.getName() + " done");
-
-    b.done();
-  }
-
-  @Test
-  public void testHadoopRegexes11() throws IOException, InterruptedException {
-    Benchmark b = new Benchmark("hadoop_regexes");
-    b.mark("begin");
-    TextFileSource txt = new TextFileSource(HADOOP_DATA[0]);
-    txt.open();
-    MemorySinkSource mem = new MemorySinkSource();
-    mem.open();
-    EventUtil.dumpAll(txt, mem);
-
-    b.mark("disk_loaded");
-
-    SimpleRegexReporterBuilder bld = new SimpleRegexReporterBuilder(
-        HADOOP_REGEXES_11);
-
-    Collection<RegexGroupHistogramSink> sinks = bld.load();
-    MultiReporter snk = new MultiReporter("hadoop_regex_sinks", sinks);
-    snk.open();
-    b.mark("filters_loaded", new File(HADOOP_REGEXES_11).getName(), sinks
-        .size());
-
-    EventUtil.dumpAll(mem, snk);
-    b.mark(snk.getName() + " done");
-
-    b.done();
-  }
 }
diff --git a/src/javaperf/com/cloudera/flume/PerfSamplers.java b/src/javaperf/com/cloudera/flume/PerfSamplers.java
index ef711f4..3eca70c 100644
--- a/src/javaperf/com/cloudera/flume/PerfSamplers.java
+++ b/src/javaperf/com/cloudera/flume/PerfSamplers.java
@@ -25,7 +25,6 @@ import com.cloudera.flume.core.EventSink;
 import com.cloudera.flume.core.EventUtil;
 import com.cloudera.flume.handlers.debug.MemorySinkSource;
 import com.cloudera.flume.handlers.debug.NullSink;
-import com.cloudera.flume.handlers.debug.TextFileSource;
 import com.cloudera.flume.reporter.aggregator.CounterSink;
 import com.cloudera.flume.reporter.sampler.IntervalSampler;
 import com.cloudera.flume.reporter.sampler.ProbabilitySampler;
@@ -35,17 +34,13 @@ import com.cloudera.util.Benchmark;
 /**
  * Performance testing for the various samplers.
  */
-public class PerfSamplers implements ExamplePerfData {
+public class PerfSamplers {
 
   @Test
   public void testReservoirSampler() throws IOException, InterruptedException {
     Benchmark b = new Benchmark("Reservoir sampler + nullsink");
     b.mark("begin");
-    TextFileSource txt = new TextFileSource(HADOOP_DATA[0]);
-    txt.open();
-    MemorySinkSource mem = new MemorySinkSource();
-    mem.open();
-    EventUtil.dumpAll(txt, mem);
+    MemorySinkSource mem = FlumeBenchmarkHarness.synthInMem();
     b.mark("disk_loaded");
 
     NullSink nullsnk = new NullSink();
@@ -82,11 +77,7 @@ public class PerfSamplers implements ExamplePerfData {
   public void testIntervalSampler() throws IOException, InterruptedException {
     Benchmark b = new Benchmark("Interval sampler + nullsink");
     b.mark("begin");
-    TextFileSource txt = new TextFileSource(HADOOP_DATA[0]);
-    txt.open();
-    MemorySinkSource mem = new MemorySinkSource();
-    mem.open();
-    EventUtil.dumpAll(txt, mem);
+    MemorySinkSource mem = FlumeBenchmarkHarness.synthInMem();
     b.mark("disk_loaded");
 
     NullSink nullsnk = new NullSink();
@@ -123,12 +114,7 @@ public class PerfSamplers implements ExamplePerfData {
   public void testProbabilitySampler() throws IOException, InterruptedException {
     Benchmark b = new Benchmark("Reservoir sampler + nullsink");
     b.mark("begin");
-    TextFileSource txt = new TextFileSource(HADOOP_DATA[0]);
-    txt.open();
-    MemorySinkSource mem = new MemorySinkSource();
-    mem.open();
-    EventUtil.dumpAll(txt, mem);
-
+    MemorySinkSource mem = FlumeBenchmarkHarness.synthInMem();
     b.mark("disk_loaded");
 
     NullSink nullsnk = new NullSink();
diff --git a/src/javaperf/com/cloudera/flume/TestSynthSources.java b/src/javaperf/com/cloudera/flume/TestSynthSources.java
new file mode 100644
index 0000000..c0d1a55
--- /dev/null
+++ b/src/javaperf/com/cloudera/flume/TestSynthSources.java
@@ -0,0 +1,143 @@
+/**
+ * Licensed to Cloudera, Inc. under one
+ * or more contributor license agreements.  See the NOTICE file
+ * distributed with this work for additional information
+ * regarding copyright ownership.  Cloudera, Inc. licenses this file
+ * to you under the Apache License, Version 2.0 (the
+ * "License"); you may not use this file except in compliance
+ * with the License.  You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+package com.cloudera.flume;
+
+import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertTrue;
+
+import java.io.IOException;
+import java.util.Arrays;
+import java.util.Map;
+
+import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+import com.cloudera.flume.core.Event;
+import com.cloudera.flume.core.EventSink;
+import com.cloudera.flume.core.EventSource;
+import com.cloudera.flume.handlers.avro.AvroJsonOutputFormat;
+import com.cloudera.flume.handlers.debug.AttrSynthSource;
+import com.cloudera.flume.handlers.debug.ConsoleEventSink;
+import com.cloudera.flume.handlers.debug.MemorySinkSource;
+import com.cloudera.flume.handlers.debug.SynthSource;
+
+/**
+ * Test cases for synthetic sources.
+ */
+public class TestSynthSources {
+  static final Logger LOG = LoggerFactory.getLogger(TestSynthSources.class);
+
+  /**
+   * Test the body generating source
+   * 
+   * @throws InterruptedException
+   */
+  @Test
+  public void checkSynth() throws IOException, InterruptedException {
+    EventSource src = new SynthSource(5, 10, 1337);
+    Event e = null;
+    EventSink snk = new ConsoleEventSink(new AvroJsonOutputFormat());
+    MemorySinkSource mem = new MemorySinkSource();
+    while ((e = src.next()) != null) {
+      snk.append(e); // visual inspection
+      mem.append(e); // testing
+    }
+
+    mem.open();
+    int i = 0;
+    while ((e = mem.next()) != null) {
+      i++;
+      assertEquals(10, e.getBody().length);
+    }
+    assertEquals(5, i);
+
+  }
+
+  /**
+   * This makes sure that the synth source is reopened, it will essentially
+   * generate the same output. (time stamp and machine may differ)
+   * 
+   * @throws InterruptedException
+   */
+  @Test
+  public void testMultipleVaryMessageBytes() throws IOException,
+      InterruptedException {
+    Event e1, e2;
+    for (EventSource src : FlumeBenchmarkHarness.varyMsgBytes.values()) {
+      src.open();
+      e1 = src.next();
+      src.open();
+      e2 = src.next();
+      assertTrue(Arrays.equals(e1.getBody(), e2.getBody()));
+    }
+  }
+
+  /**
+   * Tests to make sure we get events with the specified number of attributes,
+   * with specified attribute size, and values of specified size.
+   * 
+   * @throws InterruptedException
+   */
+  @Test
+  public void checkAttrSynth() throws IOException, InterruptedException {
+    EventSource src = new AttrSynthSource(5, 10, 20, 15, 1337);
+    Event e = null;
+    EventSink snk = new ConsoleEventSink(new AvroJsonOutputFormat());
+    MemorySinkSource mem = new MemorySinkSource();
+    while ((e = src.next()) != null) {
+      snk.append(e); // visual inspection
+      mem.append(e); // testing
+    }
+
+    mem.open();
+    int i = 0;
+    while ((e = mem.next()) != null) {
+      i++;
+      Map<String, byte[]> ents = e.getAttrs();
+      assertEquals(10, ents.size()); // 10 generated + 1 (service)
+      for (String a : ents.keySet()) {
+        assertEquals(20, a.length());
+      }
+      for (byte[] v : ents.values()) {
+        assertEquals(15, v.length);
+      }
+    }
+    assertEquals(5, i);
+  }
+
+  /**
+   * This makes sure that the synth source is reopened, it will essentially
+   * generate the same output. (time stamp and machine may differ)
+   * 
+   * @throws InterruptedException
+   */
+  @Test
+  public void testAttrsMultipleVaryMessageBytes() throws IOException,
+      InterruptedException {
+    Event e1, e2;
+    for (EventSource src : FlumeBenchmarkHarness.varyNumAttrs.values()) {
+      src.open();
+      e1 = src.next();
+      src.open();
+      e2 = src.next();
+      assertTrue(Arrays.equals(e1.getBody(), e2.getBody()));
+    }
+  }
+
+}
diff --git a/src/javaperf/com/cloudera/flume/agent/BenchmarkAgentDecos.java b/src/javaperf/com/cloudera/flume/agent/BenchmarkAgentDecos.java
index 02b0e1b..1bd93c0 100644
--- a/src/javaperf/com/cloudera/flume/agent/BenchmarkAgentDecos.java
+++ b/src/javaperf/com/cloudera/flume/agent/BenchmarkAgentDecos.java
@@ -24,8 +24,8 @@ import org.apache.log4j.Logger;
 import org.junit.Before;
 import org.junit.Test;
 
+import com.cloudera.flume.FlumeBenchmarkHarness;
 import com.cloudera.flume.conf.FlumeSpecException;
-import com.cloudera.util.BenchmarkHarness;
 
 public class BenchmarkAgentDecos {
 
@@ -39,36 +39,36 @@ public class BenchmarkAgentDecos {
 
   @Test
   public void tiny() throws FlumeSpecException, IOException, InterruptedException {
-    BenchmarkHarness.doDecoBenchmark("nullDeco", BenchmarkHarness.tiny);
-    BenchmarkHarness.doDecoBenchmark("diskFailover", BenchmarkHarness.tiny);
-    BenchmarkHarness.doDecoBenchmark("ackedWriteAhead", BenchmarkHarness.tiny);
+    FlumeBenchmarkHarness.doDecoBenchmark("nullDeco", FlumeBenchmarkHarness.tiny);
+    FlumeBenchmarkHarness.doDecoBenchmark("diskFailover", FlumeBenchmarkHarness.tiny);
+    FlumeBenchmarkHarness.doDecoBenchmark("ackedWriteAhead", FlumeBenchmarkHarness.tiny);
   }
 
   @Test
   public void nullDecorator() throws FlumeSpecException, IOException, InterruptedException {
-    BenchmarkHarness.doDecoBenchmark("nullDeco", BenchmarkHarness.varyMsgBytes);
-    BenchmarkHarness.doDecoBenchmark("nullDeco", BenchmarkHarness.varyNumAttrs);
-    BenchmarkHarness.doDecoBenchmark("nullDeco", BenchmarkHarness.varyValSize);
+    FlumeBenchmarkHarness.doDecoBenchmark("nullDeco", FlumeBenchmarkHarness.varyMsgBytes);
+    FlumeBenchmarkHarness.doDecoBenchmark("nullDeco", FlumeBenchmarkHarness.varyNumAttrs);
+    FlumeBenchmarkHarness.doDecoBenchmark("nullDeco", FlumeBenchmarkHarness.varyValSize);
   }
 
   @Test
   public void dfoDecorator2() throws FlumeSpecException, IOException, InterruptedException {
-    BenchmarkHarness.doDecoBenchmark("diskFailover",
-        BenchmarkHarness.varyMsgBytes);
-    BenchmarkHarness.doDecoBenchmark("diskFailover",
-        BenchmarkHarness.varyNumAttrs);
-    BenchmarkHarness.doDecoBenchmark("diskFailover",
-        BenchmarkHarness.varyValSize);
+    FlumeBenchmarkHarness.doDecoBenchmark("diskFailover",
+        FlumeBenchmarkHarness.varyMsgBytes);
+    FlumeBenchmarkHarness.doDecoBenchmark("diskFailover",
+        FlumeBenchmarkHarness.varyNumAttrs);
+    FlumeBenchmarkHarness.doDecoBenchmark("diskFailover",
+        FlumeBenchmarkHarness.varyValSize);
   }
 
   @Test
   public void e2eDecorator() throws FlumeSpecException, IOException, InterruptedException {
-    BenchmarkHarness.doDecoBenchmark("ackedWriteAhead",
-        BenchmarkHarness.varyMsgBytes);
-    BenchmarkHarness.doDecoBenchmark("ackedWriteAhead",
-        BenchmarkHarness.varyNumAttrs);
-    BenchmarkHarness.doDecoBenchmark("ackedWriteAhead",
-        BenchmarkHarness.varyValSize);
+    FlumeBenchmarkHarness.doDecoBenchmark("ackedWriteAhead",
+        FlumeBenchmarkHarness.varyMsgBytes);
+    FlumeBenchmarkHarness.doDecoBenchmark("ackedWriteAhead",
+        FlumeBenchmarkHarness.varyNumAttrs);
+    FlumeBenchmarkHarness.doDecoBenchmark("ackedWriteAhead",
+        FlumeBenchmarkHarness.varyValSize);
   }
 
 }
diff --git a/src/javaperf/com/cloudera/flume/agent/BenchmarkBasicDecos.java b/src/javaperf/com/cloudera/flume/agent/BenchmarkBasicDecos.java
index 7035dbe..8062afb 100644
--- a/src/javaperf/com/cloudera/flume/agent/BenchmarkBasicDecos.java
+++ b/src/javaperf/com/cloudera/flume/agent/BenchmarkBasicDecos.java
@@ -21,8 +21,8 @@ import java.io.IOException;
 
 import org.junit.Test;
 
+import com.cloudera.flume.FlumeBenchmarkHarness;
 import com.cloudera.flume.conf.FlumeSpecException;
-import com.cloudera.util.BenchmarkHarness;
 
 /**
  * Benchmark tests on basic decorators.
@@ -40,9 +40,9 @@ public class BenchmarkBasicDecos {
   public void basicDecorator() throws FlumeSpecException, IOException,
       InterruptedException {
     for (String d : decos) {
-      BenchmarkHarness.doDecoBenchmark(d, BenchmarkHarness.varyMsgBytes);
-      BenchmarkHarness.doDecoBenchmark(d, BenchmarkHarness.varyNumAttrs);
-      BenchmarkHarness.doDecoBenchmark(d, BenchmarkHarness.varyValSize);
+      FlumeBenchmarkHarness.doDecoBenchmark(d, FlumeBenchmarkHarness.varyMsgBytes);
+      FlumeBenchmarkHarness.doDecoBenchmark(d, FlumeBenchmarkHarness.varyNumAttrs);
+      FlumeBenchmarkHarness.doDecoBenchmark(d, FlumeBenchmarkHarness.varyValSize);
     }
   }
 }
diff --git a/src/javatest/com/cloudera/flume/agent/diskfailover/TestConcurrentDFOMan.java b/src/javatest/com/cloudera/flume/agent/diskfailover/TestConcurrentDFOMan.java
index 47125f6..3b01c52 100644
--- a/src/javatest/com/cloudera/flume/agent/diskfailover/TestConcurrentDFOMan.java
+++ b/src/javatest/com/cloudera/flume/agent/diskfailover/TestConcurrentDFOMan.java
@@ -50,7 +50,7 @@ import com.cloudera.flume.reporter.ReportManager;
 import com.cloudera.flume.reporter.Reportable;
 import com.cloudera.flume.reporter.aggregator.AccumulatorSink;
 import com.cloudera.flume.reporter.aggregator.CounterSink;
-import com.cloudera.util.BenchmarkHarness;
+import com.cloudera.util.FlumeTestHarness;
 import com.cloudera.util.FileUtil;
 
 /**
@@ -208,7 +208,7 @@ public class TestConcurrentDFOMan {
   public void doTestLogicalNodesConcurrentDFOMans(final int threads,
       final int events, int timeout) throws IOException, InterruptedException,
       FlumeSpecException {
-    BenchmarkHarness.setupLocalWriteDir();
+    FlumeTestHarness.setupLocalWriteDir();
     FlumeMaster master = new FlumeMaster();
     FlumeNode node = new FlumeNode(new DirectMasterRPC(master), false, false);
     final Reportable[] dfos = new Reportable[threads];
@@ -248,7 +248,7 @@ public class TestConcurrentDFOMan {
     }
     assertTrue("Counts did not line up", success);
 
-    BenchmarkHarness.cleanupLocalWriteDir();
+    FlumeTestHarness.cleanupLocalWriteDir();
   }
 
   /**
diff --git a/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverBehavior.java b/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverBehavior.java
index 1e343ec..9f331e1 100644
--- a/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverBehavior.java
+++ b/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverBehavior.java
@@ -41,7 +41,7 @@ import com.cloudera.flume.master.StatusManager.NodeState;
 import com.cloudera.flume.reporter.ReportEvent;
 import com.cloudera.flume.reporter.ReportManager;
 import com.cloudera.flume.reporter.aggregator.AccumulatorSink;
-import com.cloudera.util.BenchmarkHarness;
+import com.cloudera.util.FlumeTestHarness;
 import com.cloudera.util.Clock;
 
 /**
@@ -58,12 +58,12 @@ public class TestDiskFailoverBehavior {
 
   @Before
   public void setup() {
-    BenchmarkHarness.setupLocalWriteDir();
+    FlumeTestHarness.setupLocalWriteDir();
   }
 
   @After
   public void teardown() throws IOException {
-    BenchmarkHarness.cleanupLocalWriteDir();
+    FlumeTestHarness.cleanupLocalWriteDir();
   }
 
   LogicalNode setupAgent(long count, String agentSink) throws IOException,
diff --git a/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverBenchmarking.java b/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverBenchmarking.java
index d9c932e..d8ee64e 100644
--- a/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverBenchmarking.java
+++ b/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverBenchmarking.java
@@ -32,7 +32,7 @@ import com.cloudera.flume.core.EventUtil;
 import com.cloudera.flume.handlers.debug.MemorySinkSource;
 import com.cloudera.flume.reporter.ReportManager;
 import com.cloudera.flume.reporter.aggregator.CounterSink;
-import com.cloudera.util.BenchmarkHarness;
+import com.cloudera.util.FlumeTestHarness;
 
 /**
  * This check to make sure basic benchmarking should work -- ie when closed all
@@ -43,7 +43,7 @@ public class TestDiskFailoverBenchmarking {
   @Test
   public void benchmarkBeforeFailover() throws FlumeSpecException, IOException,
       InterruptedException {
-    BenchmarkHarness.setupLocalWriteDir();
+    FlumeTestHarness.setupLocalWriteDir();
     // String spec =
     // "{ benchinject => { benchreport(\"pre\") =>  { diskFailover => [console, counter(\"beforecount\")] } } }";
     String spec = "{ benchinject => { benchreport(\"pre\") =>  { diskFailover => counter(\"beforecount\") } } }";
@@ -60,14 +60,14 @@ public class TestDiskFailoverBenchmarking {
     CounterSink cnt = (CounterSink) ReportManager.get().getReportable(
         "beforecount");
     Assert.assertEquals(5, cnt.getCount());
-    BenchmarkHarness.cleanupLocalWriteDir();
+    FlumeTestHarness.cleanupLocalWriteDir();
 
   }
 
   @Test
   public void benchmarkAfterFailover() throws FlumeSpecException, IOException,
       InterruptedException {
-    BenchmarkHarness.setupLocalWriteDir();
+    FlumeTestHarness.setupLocalWriteDir();
     String spec = "{ benchinject => { diskFailover => { benchreport(\"post\") =>  counter(\"beforecount\") } } }";
     EventSink snk = FlumeBuilder.buildSink(new ReportTestingContext(
         LogicalNodeContext.testingContext()), spec);
@@ -82,13 +82,13 @@ public class TestDiskFailoverBenchmarking {
     CounterSink cnt = (CounterSink) ReportManager.get().getReportable(
         "beforecount");
     Assert.assertEquals(5, cnt.getCount());
-    BenchmarkHarness.cleanupLocalWriteDir();
+    FlumeTestHarness.cleanupLocalWriteDir();
   }
 
   @Test
   public void benchmarkBeforeWriteahead() throws FlumeSpecException,
       IOException, InterruptedException {
-    BenchmarkHarness.setupLocalWriteDir();
+    FlumeTestHarness.setupLocalWriteDir();
     String spec = "{ benchinject => { benchreport(\"pre\") =>  { diskFailover => counter(\"beforecount\") } } }";
     EventSink snk = FlumeBuilder.buildSink(new ReportTestingContext(
         LogicalNodeContext.testingContext()), spec);
@@ -103,13 +103,13 @@ public class TestDiskFailoverBenchmarking {
     CounterSink cnt = (CounterSink) ReportManager.get().getReportable(
         "beforecount");
     Assert.assertEquals(5, cnt.getCount());
-    BenchmarkHarness.cleanupLocalWriteDir();
+    FlumeTestHarness.cleanupLocalWriteDir();
   }
 
   @Test
   public void benchmarkAfterWriteahead() throws FlumeSpecException,
       IOException, InterruptedException {
-    BenchmarkHarness.setupLocalWriteDir();
+    FlumeTestHarness.setupLocalWriteDir();
 
     String spec = "{ benchinject => { ackedWriteAhead => { benchreport(\"post\") =>  counter(\"beforecount\") } } }";
     EventSink snk = FlumeBuilder.buildSink(new ReportTestingContext(
@@ -127,7 +127,7 @@ public class TestDiskFailoverBenchmarking {
 
     // +2 because of wal ack begin and end messages.
     Assert.assertEquals(5 + 2, cnt.getCount());
-    BenchmarkHarness.cleanupLocalWriteDir();
+    FlumeTestHarness.cleanupLocalWriteDir();
 
   }
 }
diff --git a/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverDeco.java b/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverDeco.java
index be6d9b9..a7e2d78 100644
--- a/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverDeco.java
+++ b/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverDeco.java
@@ -40,17 +40,17 @@ import com.cloudera.flume.core.EventUtil;
 import com.cloudera.flume.handlers.rolling.ProcessTagger;
 import com.cloudera.flume.handlers.rolling.TimeTrigger;
 import com.cloudera.flume.reporter.ReportEvent;
-import com.cloudera.util.BenchmarkHarness;
+import com.cloudera.util.FlumeTestHarness;
 
 public class TestDiskFailoverDeco {
   @Before
   public void setup() {
-    BenchmarkHarness.setupLocalWriteDir();
+    FlumeTestHarness.setupLocalWriteDir();
   }
 
   @After
   public void cleanup() {
-    BenchmarkHarness.setupLocalWriteDir();
+    FlumeTestHarness.setupLocalWriteDir();
 
   }
 
diff --git a/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverManager.java b/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverManager.java
index adc02ed..15249ee 100644
--- a/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverManager.java
+++ b/src/javatest/com/cloudera/flume/agent/diskfailover/TestDiskFailoverManager.java
@@ -35,7 +35,7 @@ import com.cloudera.flume.core.EventSource;
 import com.cloudera.flume.handlers.debug.ConsoleEventSink;
 import com.cloudera.flume.handlers.rolling.ProcessTagger;
 import com.cloudera.flume.handlers.rolling.Tagger;
-import com.cloudera.util.BenchmarkHarness;
+import com.cloudera.util.FlumeTestHarness;
 import com.cloudera.util.FileUtil;
 
 /**
@@ -134,8 +134,8 @@ public class TestDiskFailoverManager {
    */
   @Test
   public void testRecovers() throws IOException, FlumeSpecException {
-    BenchmarkHarness.setupLocalWriteDir();
-    File tmp = BenchmarkHarness.tmpdir;
+    FlumeTestHarness.setupLocalWriteDir();
+    File tmp = FlumeTestHarness.tmpdir;
 
     // putting in large ridiculous constant
     NaiveFileFailoverManager dfo = new NaiveFileFailoverManager(tmp);
@@ -168,7 +168,7 @@ public class TestDiskFailoverManager {
     assertEquals(0,
         new File(tmp, NaiveFileFailoverManager.WRITINGDIR).list().length);
 
-    BenchmarkHarness.cleanupLocalWriteDir();
+    FlumeTestHarness.cleanupLocalWriteDir();
   }
 
   /**
diff --git a/src/javatest/com/cloudera/flume/agent/durability/TestConcurrentWALMan.java b/src/javatest/com/cloudera/flume/agent/durability/TestConcurrentWALMan.java
index 7a02e35..9968bb3 100644
--- a/src/javatest/com/cloudera/flume/agent/durability/TestConcurrentWALMan.java
+++ b/src/javatest/com/cloudera/flume/agent/durability/TestConcurrentWALMan.java
@@ -50,7 +50,7 @@ import com.cloudera.flume.master.FlumeMaster;
 import com.cloudera.flume.master.StatusManager.NodeState;
 import com.cloudera.flume.reporter.ReportManager;
 import com.cloudera.flume.reporter.aggregator.CounterSink;
-import com.cloudera.util.BenchmarkHarness;
+import com.cloudera.util.FlumeTestHarness;
 import com.cloudera.util.Clock;
 import com.cloudera.util.FileUtil;
 
@@ -193,7 +193,7 @@ public class TestConcurrentWALMan {
   public void doTestContextConcurrentWALMans(final int threads,
       final int events, int timeout) throws IOException, InterruptedException,
       FlumeSpecException {
-    BenchmarkHarness.setupLocalWriteDir();
+    FlumeTestHarness.setupLocalWriteDir();
     FlumeMaster master = new FlumeMaster();
     FlumeNode node = new FlumeNode(new DirectMasterRPC(master), false, false);
 
@@ -221,7 +221,7 @@ public class TestConcurrentWALMan {
       assertEquals(events + i, cnt.getCount());
     }
     assertTrue("Counts did not line up", success);
-    BenchmarkHarness.cleanupLocalWriteDir();
+    FlumeTestHarness.cleanupLocalWriteDir();
   }
 
   /**
